Bug 1000970 - Review Request: samsung-tools - Tools for Samsung laptops
Review Request: samsung-tools - Tools for Samsung laptops
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 04:49 EDT by Christopher Meng
Modified: 2013-11-10 03:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:39:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-26 04:49:07 EDT
Spec URL: http://cicku.me/samsung-tools.spec
SRPM URL: http://cicku.me/samsung-tools-2.2-1.fc21.src.rpm

Description: Samsung Tools is the successor of "Samsung Scripts" provided by the "Linux
On My Samsung" project. It allows the complete configuration and the control
in a friendly way of devices found on Samsung netbooks (bluetooth, wireless,
webcam, backlight, CPU fan, special keys) and the control of various aspects
related to power management, like the CPU undervolting (when a PHC-enabled
kernel is available).
Fedora Account System Username: cicku
Comment 1 Ralf Corsepius 2013-08-26 06:23:24 EDT
Why is this an arch'ed package? I can't spot anything arch specific inside.
Comment 2 Christopher Meng 2013-08-26 06:25:33 EDT
(In reply to Ralf Corsepius from comment #1)
> Why is this an arch'ed package? I can't spot anything arch specific inside.

There are files installed to %{_libdir}/pm-utils/
Comment 3 Ralf Corsepius 2013-08-26 06:31:19 EDT
(In reply to Christopher Meng from comment #2)
> (In reply to Ralf Corsepius from comment #1)
> > Why is this an arch'ed package? I can't spot anything arch specific inside.
> 
> There are files installed to %{_libdir}/pm-utils/

This is just a side-effect of you not build noarched + an upstream bug.
Comment 4 Christopher Meng 2013-08-26 06:39:26 EDT
(In reply to Ralf Corsepius from comment #3)
> (In reply to Christopher Meng from comment #2)
> > (In reply to Ralf Corsepius from comment #1)
> > > Why is this an arch'ed package? I can't spot anything arch specific inside.
> > 
> > There are files installed to %{_libdir}/pm-utils/
> 
> This is just a side-effect of you not build noarched + an upstream bug.

Can I put files to /usr/lib/pm-utils on x86_64?

If so I will update my package.
Comment 5 Michael Schwendt 2013-08-31 05:10:04 EDT
No full review, just drive-by comments:


> License:           GPLv2+

Please verify. Consulting the help of the fedora-review tool may be an idea. 
File COPYING is GPLv3. README says "Released under GPLv3 terms". Several Python source files say GPLv3 "or later".


> Requires(post):    systemd

Systemd's RPM macros are included in the systemd package, so "BuildRequires: systemd" will be needed.


> LC_ALL=en_US.UTF-8 make install DESTDIR=%{buildroot}
> 
> %ifarch x86_64
>        mkdir -p %{buildroot}%{_libdir}
>        mv %{buildroot}%{_prefix}/lib/pm-utils %{buildroot}%{_libdir}/pm-utils
> %endif

x86_64 is not the only arch where %_libdir is /usr/lib64. The package would fail to build for those archs.

Here it failed even for F19 and Rawhide, but with %find_lang not finding anything. Has it been tested/built at all?


> Can I put files to /usr/lib/pm-utils on x86_64?

If you look up pm-utils.x86_64 at koji or its spec file,
  http://pkgs.fedoraproject.org/cgit/pm-utils.git/plain/pm-utils.spec
what do you find?


> %{_datadir}/applications/%{name}-preferences.desktop

https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage


> %exclude %{_sysconfdir}/xdg/autostart/%{name}-session-service.desktop

There is no comment here? Why is the file excluded?
Comment 6 Ralf Corsepius 2013-11-03 02:45:40 EST
Ping? Two months have passed without the package submitter having provided feedback on comments. 

Christopher, are you still interested submitting this package or can this be closed?
Comment 7 Ralf Corsepius 2013-11-10 02:20:04 EST
Another week has past without response from the submitter.

I am going to close this review, due to "non responsive submitter"
Comment 8 Christopher Meng 2013-11-10 02:34:33 EST
LOL.

I just want to update this one.
Comment 9 Christopher Meng 2013-11-10 03:39:51 EST
Sorry, I decide to close this review request as this package can't be used in Fedora as missing dependency of vbetool, and seems that from f13 vbetool is useless and as a result it's deprecated now.

Note You need to log in before you can comment on or make changes to this bug.